// Source file: brf/j2me/midp/dynaworks/events/PageEvent.java
// Subsystem: events
// Module: PageEvent

// Copyright (C) 2000 by Bernd R. Fix.
// You may distribute this software under the terms of the Modified
// Artistic Licence, as specified in the accompanying LICENCE.TXT file.

package brf.j2me.midp.dynaworks.events;

/**
 * The PageEvent class represents events generated by a Page instance.<p>
 *
 * @author Bernd R. Fix
 * @version 1.0
 * @see brf.j2me.dynaworks.events.EventQueue
 */
public class PageEvent extends Event {

    ////////////////////////////////////////////////////////////
    // event codes
    //----------------------------------------------------
    //	page events
    /**
       event code for idle page processing.<p>
     */
    public static final int PAGE_IDLE   =  50;
    /**
       event code for page termination.<p>
     */
    public static final int PAGE_EXIT   =  51;  
    /**
       event code for command issued on a page.<p>
     */
    public static final int PAGE_CMD    =  52;  

    ////////////////////////////////////////////////////////////
    /**
     * constructor.<p>
     *
     * @param code int - event code.
     * @param rc String - action code of the event.
     */
    public PageEvent (int code, String rc) {
        super (code);
        param = rc;      
    }

    ////////////////////////////////////////////////////////////
    // getter/setter methods.
    /**
     * get the exit code.<p>
     *
     * @return String - action code of the event.
     */
    public String getAction () {
        return (String) param;
    }
}
