// Source file: brf/j2me/midp/dynaworks/util/Point.java
// Subsystem: util
// Module: Point

// Copyright (C) 2000 by Bernd R. Fix.
// You may distribute this software under the terms of the Modified
// Artistic Licence, as specified in the accompanying LICENCE.TXT file.

package brf.j2me.midp.dynaworks.util;


/**
 * This is a primitive point class.<p>
 * A point represents a position on the screen and
 * is therefore limited to positive coordinates.
 *
 * @author Bernd R. Fix
 * @version 1.0
 */
public class Point {
	
    ////////////////////////////////////////////////////////
    // attributes.
    /**
       x-coordinate.<p>
     */
    private int x;
    /**
       y-coordinate.<p>
     */
    private int y;
    
    ////////////////////////////////////////////////////////
    /**
     * constructor from (x,y)<p>
     *
     * @param x int - x-coordinate of the point.
     * @param y int - y-coordinate of the point.
     */
    public Point (int x, int y) {
        this.x = Math.max (0, x);
        this.y = Math.max (0, y);
    }
    
    ////////////////////////////////////////////////////////
    // getter/setter methods.
    /**
     * get the x-coordinate of the point.<p>
     *
     * @return int - x-coordinate
     */
    public int getX () {
        return x;
    }

    /**
     * set the x-coordinate of the point.<p>
     *
     * @param x int - x-coordinate
     */
    public void setX (int x) {
        this.x = x;
    }   

    /**
     * get the y-coordinate of the point.<p>
     *
     * @return int - y-coordinate
     */
    public int getY () {
        return y;
    }

    /**
     * set the y-coordinate of the point.<p>
     *
     * @param y int - y-coordinate
     */
    public void setY (int y) {
        this.y = y;
    }   
}
