
package brf.j2me.midp.test;

import brf.j2me.midp.dynaworks.CanvasPage;
import brf.j2me.midp.dynaworks.events.*;
import javax.microedition.lcdui.*;


public class TestPage extends CanvasPage {

    /**
     * commands defined and handled by the application.
     */
    private Command exitCommand  = new Command ("Exit",  Command.SCREEN, 2);
    private Command aboutCommand = new Command ("About", Command.SCREEN, 1);

    private int counter = 0;

    ///////////////////////////////////////////////////////////////////////////
    /**
     * constructor.<p>
     */
    public TestPage (String name) {
        // pass page label
        super (name);
        
       // add commands.
        addCommand (exitCommand);
        addCommand (aboutCommand);
    }

    ///////////////////////////////////////////////////////////////////////////
    /**
     * run the next slice of the application
     */
    public void tick () {
       
        // wait a bit ...
        try {
            Thread.sleep (100);
        }
        catch (InterruptedException e) {
        }
        
        // perform the step.
        counter++;
        repaint();
    }

    ///////////////////////////////////////////////////////////////////////////
    /**
     * render the data.
     */
    public void paint (Graphics g) {

        g.setColor (-1);
        g.fillRect (0, 0, getWidth(), getHeight());
        g.setColor (0);
        g.drawString ("counter: " + counter, getWidth()/2, getHeight()/2,
                      g.HCENTER | g.BASELINE);
    }

    ///////////////////////////////////////////////////////////////////////////
    /**
     * handle events.
     */
    public boolean handleEvent (Event e) {

        // is this a command event?
        if (e.getCode() == PageEvent.PAGE_CMD) {
            
            // get the command code.
            String cmd = ((PageEvent)e).getAction();
            
            //---------------------------------------------------------------------
            // exit application
            if (cmd.compareTo ("Exit") == 0) {
                exit (null);
                return true;     
            }
        }
        // pass event to base class.
        return super.handleEvent (e);
    }
}
